Subject: Re: Compiling git-snapshot-20069831

From: Andreas Ericsson <[email-masked]>
Date: Thu, 31 Aug 2006 17:19:24 +0200

Jakub Narebski wrote:
> Jorma Karvonen wrote:
>  
>> When I tested 
>>
>> make NEEDS_LIBICONV=1 NO_CURL=1
>>
>> the make succeeded but when trying make install I got error messages 
>> shown in the enclosed file.
> 
> Try then
>   $ NEEDS_LIBICONV=YesPlease NO_CURL=YesPlease make
> 

I think you meant

$ make NEEDS_LIBICONV=YesPlease NO_CURL=YesPlease install

there, Jakub.

Jorma, since the Makefile has no ideas on state, it only notices that 
some files it needs to make a complete install with the parameters 
you're passing it when also passing 'install' are missing, it tries to 
build them, but without the NEEDS_LIBICONV and NO_CURL flags. Pass them 
both when doing normal 'make' and when doing 'make install' and you'll 
be fine. You might also want to check if your distribution provides a 
pre-compiled package. If that's the case, you should be able to get away 
with something easy such as

	$ apt-get install git

or

	$ yum install git

Good luck

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231